"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.identityRequestHandler = void 0;
const handlers_1 = require("./handlers");
async function identityRequestHandler(event) {
    const handler = (() => {
        switch (event.RequestType) {
            case "Create":
                return new handlers_1.CreateCustomResourceHandler(event);
            case "Update":
                return new handlers_1.UpdateCustomResourceHandler(event);
            case "Delete":
                return new handlers_1.DeleteCustomResourceHandler(event);
        }
    })();
    return await handler.handleEvent();
}
exports.identityRequestHandler = identityRequestHandler;
//# sourceMappingURL=index.js.map